improvement
Create improvement adopt
Requires scopes: admin:org
POST
/
api
/
improvement
/
cycles
/
{cycleId}
/
adopt
Create improvement adopt
curl --request POST \
--url https://evalgate.com/api/improvement/cycles/{cycleId}/adopt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rollout": {
"releaseId": "<string>",
"deploymentIds": [
"<string>"
],
"expectedRolloutRevision": 123,
"expectedReleaseStateVersion": 123
},
"idempotencyKey": "<string>",
"reason": "<string>",
"candidateId": "<string>",
"expectedStateVersion": 123,
"learning": {
"entryId": "<string>",
"entryVersionId": "<string>",
"nonInferiorityMargin": 123
}
}
'import requests
url = "https://evalgate.com/api/improvement/cycles/{cycleId}/adopt"
payload = {
"rollout": {
"releaseId": "<string>",
"deploymentIds": ["<string>"],
"expectedRolloutRevision": 123,
"expectedReleaseStateVersion": 123
},
"idempotencyKey": "<string>",
"reason": "<string>",
"candidateId": "<string>",
"expectedStateVersion": 123,
"learning": {
"entryId": "<string>",
"entryVersionId": "<string>",
"nonInferiorityMargin": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rollout: {
releaseId: '<string>',
deploymentIds: ['<string>'],
expectedRolloutRevision: 123,
expectedReleaseStateVersion: 123
},
idempotencyKey: '<string>',
reason: '<string>',
candidateId: '<string>',
expectedStateVersion: 123,
learning: {entryId: '<string>', entryVersionId: '<string>', nonInferiorityMargin: 123}
})
};
fetch('https://evalgate.com/api/improvement/cycles/{cycleId}/adopt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Path Parameters
Body
application/json
Response
Successful response
- Option 1
- Option 2
- Option 3
⌘I
Create improvement adopt
